Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.platform/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.java.platform
Class Specification

    java.lang.Object
      org.netbeans.api.java.platform.Specification

    public final class Specification

extends Object

Specification of the Java SDK

Constructor Summary
`Specification(String name, SpecificationVersion version)` Creates new SDK Specification
`Specification(String name, SpecificationVersion version, Profile[] profiles)` Creates new SDK Specification

Method Summary
`boolean` | `equals(Object other)`
`String` | `getName()` Returns the name of the Java specification e.g.
`Profile[]` | `getProfiles()` Returns profiles supported by the Java SDK
`SpecificationVersion` | `getVersion()` Returns the version of the Java specification e.g 1.4
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Specification

    public Specification(String name,
                         SpecificationVersion version)

  Creates new SDK Specification

  Parameters:
    `name` - of the specification e.g J2SE
    `version` - of the specification e.g. 1.4

### Specification

    public Specification(String name,
                         SpecificationVersion version,
                         Profile[] profiles)

  Creates new SDK Specification

  Parameters:
    `name` - of the specification e.g J2SE
    `version` - of the specification e.g. 1.4
    `profiles` - of the Java SDK

Method Detail

### getName

    public final String getName()

  Returns the name of the Java specification e.g. J2SE

  Returns:
    String

### getVersion

    public final SpecificationVersion getVersion()

  Returns the version of the Java specification e.g 1.4

  Returns:
    instance of SpecificationVersion

### getProfiles

    public final Profile[] getProfiles()

  Returns profiles supported by the Java SDK

  Returns:
    Profile[]

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.java.platform/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.